###R version 3.3.1#rstan2.12.1###

library(rstan)

###Kxz
scr <- "code11.stan"
source("data11.R")
data <- list(N=N,x=x)
par <- c("mu", "sigma","s", "p_w", "x_99", "u_rover100", "r_w", "xpred", "p_new") 
war <- 5000
ite <- 10000
see <- 1234
dig <- 3
cha <- 4

fit <- stan(file=scr, model_name=scr, data=data, pars=par, verbose=F, 
           seed=see, chains=cha, warmup=war, iter=ite)
print(fit, pars=par, digits_summary=dig)