//stan2.10

library(rstan)

###5́@iKf
#ueXgvƁuVeXgv̐
item.res<-read.csv('data25.csv')
scr<-"code25_1.stan"

#ueXgv̕ꐔ
u_ori<-item.res[21:40]
ni<-142
nj<-20
nc<-6
D<-1
data_ori<-list(y=u_ori,nj=nj,ni=ni,nc=nc,D=D)
par<-c("theta","ba","a","b")
war<-2500
ite<-5000
see<-1234
dig<-2
cha<-4

fit_ori<-stan(file=scr,model_name=scr,data=data_ori,pars=par,verbose=F,seed=see,chains=cha,warmup=war,iter=ite)
print(fit_ori,pars=par,digits_summary=dig)

#uVeXgv̕ꐔ
u_new<-item.res[1:20]
ni<-142
nj<-20
nc<-6
D<-1
data_new<-list(y=u_new,nj=nj,ni=ni,nc=nc,D=D)
par<-c("theta","ba","a","b")
war<-2500
ite<-5000
see<-1234
dig<-2
cha<-4

fit_new<-stan(file=scr,model_name=scr,data=data_new,pars=par,verbose=F,seed=see,chains=cha,warmup=war,iter=ite)
print(fit_new,pars=par,digits_summary=dig)

#ueXgvƁuVeXgv̕IÓW
score_ori<-rowSums(item.res[,1:20])
score_new<-rowSums(item.res[,21:40])
score<-scale(cbind(score_ori,score_new))
ni<-142
nt<-2
data<-list(y=score,ni=ni,nt=nt)
par<-c("phi")
war<-2500
ite<-5000
see<-1234
dig<-2
cha<-4

fit_valid<-stan(file="code25_2.stan",data=data,pars=par,verbose=F,seed=see,chains=cha,warmup=war,iter=ite)
print(fit_valid,pars=par,digits_summary=dig)
