data {
	int<lower=0> I;
	real y[I];
}
parameters {
	real mu1;		//
	real<lower=0> mu2;	//U
}
model{
	y ~ normal(mu1, mu2);
}
generated quantities{
	real log_lik;
	
	log_lik = normal_lpdf(y | mu1, mu2);  //ΐޓx
}
