# rstan version 2.12.1

library("rstan")
source("data23.R")

#B}Rtf
######t胂f
scr<-"code23_1.stan"

data <-list(K=K,V=V,T=T,x=x,z=z,prior_a=prior_a,prior_b=prior_b)

par<-c("a")

war<-5000               
ite<-10000              
see<-1234               
dig<-3                  
cha<-4                  

fit <- stan(file = scr, data = data, iter=ite, seed=see, warmup=war,
	      pars=par,chains=cha)
print(fit,pars=par,digits_summary=dig)


######t胂f
scr<-"code23_2.stan"
data <-list(K=K,V=V,T=T,T_unsup=T_unsup,x=x,z=z,x_u=x_u,prior_a=prior_a,prior_b=prior_b)

par<-c("b")

war<-5000               
ite<-10000              
see<-1234               
dig<-3                  
cha<-4                  

fit <- stan(file = scr, data = data, iter=ite, seed=see, warmup=war,
	      pars=par,chains=cha)
print(fit,pars=par,digits_summary=dig)


######r^rEASY
scr<-"code23_3.stan"
data <-list(K=K,V=V,T=T,T_unsup=T_unsup,x=x,z=z,x_u=x_u,prior_a=prior_a,prior_b=prior_b)

par<-c("u1","u2","u3")

war<-5000               
ite<-10000              
see<-1234               
dig<-3                  
cha<-4                  

fit <- stan(file = scr, data = data, iter=ite, seed=see, warmup=war,
	      pars=par,chains=cha)
print(fit,pars=par,digits_summary=dig)


