### I`̕\f[^ɑ΂q
### (Stan 2.11ȍ~)

library(rstan)
library(psych)

scr <- "code24.stan"
X <- read.csv(file="data24.csv",header=T,row.names=1)

N <- 114      #񓚎Ґ
n <- nrow(X)  #Ώې
p <- ncol(X)  #ϐ

# XN[vbg
ee <- 2
Ne <- N + ee
ps <- as.matrix((X+(ee/2))/Ne);          #Z̏CW{䗦
Y <- log(ps/(1-ps));                     #Wbgl
plot(fa(cor(Y))$e.values,type='b',xlab="",ylab="")

m <- 3      #q
data <- list(n=n,p=p,m=m,X=X,N=N)

source("inits24.R",encoding="Shift-JIS")
initi <- l(X,m,N,2)

war <- 2500
ite <- 5000
see <- 1234
dig <- 2
cha <- 1

fit <- stan(file=scr, model_name=scr, data=data,  verbose=F,
         seed=see, chains=cha, warmup=war, iter=ite, init=initi)
par <- c("am","asigma", "A", "C", "As")
print(fit, pars=par, digits_summary=dig) #


ppp <- get_posterior_mean(fit)
q <- paste("f",c(1:m),sep="")
Wbg<- matrix(as.vector(ppp[substr(rownames(ppp),1,2)=='Y[',1]),n,p,byrow=T)
䗦 <- exp(Wbg)/(1+exp(Wbg))
W{䗦 <- X/N
c <- 䗦-W{䗦

S_res <- (W{䗦-䗦)/sqrt(䗦*(1-䗦)/N)
sabs_mean <- rowMeans(abs(S_res))
abs_mean <- colMeans(abs(S_res))
Wc <- rbind(cbind(S_res,sabs_mean),c(abs_mean,0.000))
rownames(Wc)[n+1] <- "abs_mean"

W΍ <- as.vector(ppp[substr(rownames(ppp),1,2)=='s[',1])
Wqp^ <- matrix(as.vector(ppp[substr(rownames(ppp),1,3)=='As[',1]),p,m,byrow=T)

Wʐ <- diag(Wqp^ %*% t(Wqp^))
WƎ <- 1.0 - Wʐ
Wp^ <- cbind(Wqp^,Wʐ,WƎ)

֍s <- Wqp^ %*% t(Wqp^) + diag(WƎ)

# UUsEAPl
C <- extract(fit)$C
CC <- matrix(NA,p,p)
for(i in 1:p){
  CC[i,] <- colMeans(C[,,i])
}
Us <- CC

###v}bNX]
if (m>1){
   pro <- Promax(Wqp^)
   v}bNX <- pro$loadings; class(v}bNX)<-"matrix"
   qԑ<- pro$Phi;
}

colnames(䗦)<-colnames(S_res)<-colnames(W{䗦)<-colnames(c)<-
   rownames(Wp^)<-names(Wʐ)<-names(WƎ)<-
   colnames(֍s)<-rownames(֍s)<-colnames(Us)<-
   rownames(Us)<-colnames(X)
colnames(Wqp^)<-paste("f",1:m,sep="");
rownames(䗦)<-rownames(S_res)<-rownames(X)
Usd<-cbind(Us,W΍)

###ʂ̏o
print("Wqp^");print(round(Wp^, dig))
print("䗦̒Pc"); print(round(c, dig))
print("䗦̕Wc"); print(round(Wc, dig))

if (m>1){
  print("v}bNX");  print(round(v}bNX, dig));
  print("qԑ");      print(round(qԑ, dig));
}
print("䗦(Yinv_logit)"); print(round(䗦, dig))
print("W{䗦"); print(round(W{䗦, dig))
print("WbgY̑֍s"); print(round(֍s, dig))
print("WbgY̋UsƂrc"); print(round(Usd, dig))

# WAIC
library(loo)
logL <- extract_log_lik(fit,"logL")
waic(logL)
