//2z̃f[^ƂāAq͂sBqXRA𐄒肵ȂB
data {
   int<lower=0> n;        //ϑΏې
   int<lower=0> p;        //ϑϐ
   int<lower=0> m;        //q
   int<lower=0> X[n,p];   //s
   int<lower=0> N;        //f[^xNg
   //vector[p]    h;      //ʒu
}
transformed data {
   real<lower=0> ML;      //[ɋ߂
   ML = 0.001; 
}
parameters {
   real                           am; //p^   
   real<lower=ML>             asigma; //p^rc   
   cholesky_factor_cov[p,m]        A; //qp^s
   vector<lower=ML>[p]         Cov_e; //Ǝ
   vector[p]                    Y[n]; //䗦̃Wbg
   vector[p]     pp; //W{䗦
}
transformed parameters{
   cov_matrix[p]                   C; //Wbg̋Us
   vector[p]                       h; //WbgҒlEʒu
   C = A*A'+diag_matrix(Cov_e);
   for(i in 1:p){
     h[i] = logit(pp[i]);}            //WbgҒl
}
model{
   for(i in 1:p) { 
      Cov_e[i] ~ inv_gamma(0.001,0.001)T[ML,];
      for(j in 1:m) { 
      if (i>=j) {A[i,j] ~ normal(am,asigma); };
      }
   }
   for(i in 1:n) { 
      Y[i] ~ multi_normal(h, C);
      for(j in 1:p) { X[i,j] ~ binomial_logit(N,Y[i,j]); }
   }
}
generated quantities{
   vector<lower=0> [p]            ss; //Wbg̕U
   vector<lower=0> [p]             s; //WbgSD
   vector<lower=0> [p]            sg; //WbgSD̋t
   matrix[p,m]                    As; //Wqp^s
   matrix[n,p] logL;

   ss = diagonal(C);
   for(i in 1:p) {s[i] = sqrt(ss[i]);
                 sg[i] = 1.0 ./ s[i];} 
   As = diag_matrix(sg)*A;
   
   for(i in 1:n){
		for(j in 1:p){
			logL[i,j] = binomial_logit_lpmf(X[i,j] | N,Y[i,j]);
		}
	}
}

