#stan version 2.10
library(rstan)

##S
#~[E[
scr<-"code32.stan"
source("data32.R")
data<-list(N=N,T=T,x=x,S=S,xdif=xdif)
par<- c("alpha", "beta","PSE","JND","U")
war<-2500         
ite<-5000         
see<-1234            
dig<-3              
cha<-4  

fit<-stan(file=scr, model_name=scr, data=data, pars=par,verbose=F, seed=see,
	 chains=cha, warmup=war, iter=ite)
print(fit,pars=par,digits_summary=dig)