###R version 3.3.1#rstan2.12.1###

library(rstan)

###Mo_̊{Iȃf
scr <- "code33_1.stan"
source("data33_1.R")
data <- list(h=h, f=f, MI=MI, CR=CR)
par <- c("thetah", "thetaf", "d", "c")
war <- 5000
ite <- 10000
see <- 1234
dig <- 3
cha <- 4

fit_SDT1 <- stan(file=scr, model_name=scr, data=data, pars=par, verbose=F, 
            seed=see, chains=cha, warmup=war, iter=ite)
print(fit_SDT1, pars=par, digits_summary=dig)


###Kwf
#1=rC2HRC3=`aC4=镔C5=C6=RC7=g
scr <- "code33_2.stan"
source("data33_2.R")
data <- list(k=k, h=h, f=f, s=s, n=n)
par <- c("thetah", "thetaf", "d", "c", "mud", "muc", "sigmad", "sigmac")
war <- 5000
ite <- 20000
see <- 1234
dig <- 3
cha <- 1

fit_SDT2 <- stan(file=scr, model_name=scr, data=data, pars=par, verbose=F, 
            seed=see, chains=cha, warmup=war, iter=ite)
print(fit_SDT2, pars=par, digits_summary=dig)